org.apache.flume.channel.file

## Class LogFileV3.SequentialReader

- java.lang.Object
- - org.apache.flume.channel.file.LogFile.SequentialReader
  - - org.apache.flume.channel.file.LogFileV3.SequentialReader

- Enclosing class:
    LogFileV3

      public static class LogFileV3.SequentialReader
      extends LogFile.SequentialReader

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LogFileV3.SequentialReader(File file, KeyProvider encryptionKeyProvider, boolean fsyncPerTransaction)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getVersion()`

    - ### Methods inherited from class org.apache.flume.channel.file.LogFile.SequentialReader

      `close, getFileHandle, getKeyProvider, getPosition, next, setLastCheckpointPosition, setLastCheckpointWriteOrderID, setLogFileID, setPreviousCheckpointPosition, setPreviousCheckpointWriteOrderID`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LogFileV3.SequentialReader

          public LogFileV3.SequentialReader(File file,
                                    @Nullable
                                    KeyProvider encryptionKeyProvider,
                                    boolean fsyncPerTransaction)
                                     throws EOFException,
                                            IOException

      Throws:
        `EOFException`
        `IOException`

  - ### Method Detail

    - #### getVersion

          public int getVersion()

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.